Bug 140279 - During warm boot, CDROM is not recognized
During warm boot, CDROM is not recognized
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-21 19:25 EST by Klaus Wolf
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-24 04:23:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (when DVDROM was properly detected) (14.58 KB, text/plain)
2004-11-21 19:35 EST, Klaus Wolf
no flags Details

  None (edit)
Description Klaus Wolf 2004-11-21 19:25:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux 2.6.9-1.678_FC3; X11; i686; en_US, de) (KHTML, like Gecko)

Description of problem:
After warm boot, CDROM/DVDROM is not recognized.


Version-Release number of selected component (if applicable):
2.6.9-1.678_FC3

How reproducible:
Always

Steps to Reproduce:
1. boot FC3
2. reboot
3.
    

Actual Results:  No /dev/hdb exists.

Expected Results:  /dev/hdb should exist.

Additional info:

Proper dmesg output:

Nov 18 21:11:58 golulu kernel: hdb: PIONEER DVD RW DVR-106D, ATAPI CD/DVD-ROM drive
Nov 18 21:12:00 golulu kernel: hdb: ATAPI 32X DVD-ROM DVD-R CD-R/RW drive, 2000kB Cache, UDMA(33)

Erroneous dmesg output:

Nov 18 19:53:36 golulu kernel: hdb: probing with STATUS(0x40) instead of ALTSTATUS(0x58)

Error never occured with vanilla 2.6.9 kernel. Windows has no problems detecting the device. FC3 detects properly after cold start (turning the computer off - just RESET doesn't work).
Comment 1 Klaus Wolf 2004-11-21 19:35:43 EST
Created attachment 107151 [details]
dmesg output (when DVDROM was properly detected)
Comment 2 Klaus Wolf 2004-11-24 04:23:48 EST
Problem appears to be BIOS/initialization related. Sorry for any 
inconvenience. 

Note You need to log in before you can comment on or make changes to this bug.